"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const socketDataEncoder_1 = __importDefault(require("../../../src/functions/socketDataEncoder"));
describe('socketDataEncoder', () => {
    // it('should decode a valid ArrayBuffer into the expected object', () => {
    //   const testData: TestDataType = {id: 1, name: 'test'};
    //   const testDataJson = JSON.stringify(testData);
    //   const testDataBuffer = new TextEncoder().encode(testDataJson).buffer;
    //   const result = socketDataEncoder<TestDataType>(testDataBuffer);
    //   expect(result).toEqual(testData);
    // });
    it('should return undefined when decoding an invalid ArrayBuffer(Not JSON data)', () => {
        const invalidDataBuffer = new Uint8Array([0, 1, 2, 3]).buffer;
        const result = (0, socketDataEncoder_1.default)(invalidDataBuffer);
        expect(result).toBeUndefined();
    });
    it('should return undefined when decoding an empty ArrayBuffer', () => {
        const emptyDataBuffer = new ArrayBuffer(0);
        const result = (0, socketDataEncoder_1.default)(emptyDataBuffer);
        expect(result).toBeUndefined();
    });
});
