import { ImarketCodes } from '../interfaces';
/**
 * useFetchMarketCode hook is used to fetch market codes from upbit api
 * @returns Object with the market codes and a loading state.
 */
declare function useFetchMarketCode(option?: {
    debug: boolean;
}): {
    isLoading: boolean;
    marketCodes: ImarketCodes[];
};
export default useFetchMarketCode;
